.ccbla-excerpt-conditionnal-responsive,
.wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive {
  --ccbla-excerpt-fs-desktop: inherit;
  --ccbla-excerpt-fs-tablet: var(--ccbla-excerpt-fs-desktop);
  --ccbla-excerpt-fs-mobile: var(--ccbla-excerpt-fs-tablet);
  --ccbla-excerpt-lh-desktop: inherit;
  --ccbla-excerpt-lh-tablet: var(--ccbla-excerpt-lh-desktop);
  --ccbla-excerpt-lh-mobile: var(--ccbla-excerpt-lh-tablet);
  --ccbla-excerpt-fw-desktop: inherit;
  --ccbla-excerpt-fw-tablet: var(--ccbla-excerpt-fw-desktop);
  --ccbla-excerpt-fw-mobile: var(--ccbla-excerpt-fw-tablet);
}

.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt,
.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt__excerpt,
.wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive,
.wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt,
.wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt__excerpt {
  font-size: var(--ccbla-excerpt-fs-desktop);
  line-height: var(--ccbla-excerpt-lh-desktop);
  font-weight: var(--ccbla-excerpt-fw-desktop);
}

@media (max-width: 1024px) {
  .ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt,
  .ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt__excerpt,
  .wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive,
  .wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt,
  .wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt__excerpt {
    font-size: var(--ccbla-excerpt-fs-tablet);
    line-height: var(--ccbla-excerpt-lh-tablet);
    font-weight: var(--ccbla-excerpt-fw-tablet);
  }
}

@media (max-width: 767px) {
  .ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt,
  .ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt__excerpt,
  .wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive,
  .wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt,
  .wp-block-ccbla-excerpt-conditionnal.ccbla-excerpt-conditionnal-responsive .wp-block-post-excerpt__excerpt {
    font-size: var(--ccbla-excerpt-fs-mobile);
    line-height: var(--ccbla-excerpt-lh-mobile);
    font-weight: var(--ccbla-excerpt-fw-mobile);
  }
}
